Update Reply
curl --request PATCH \
--url https://app.replyify.ai/api/replies/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"category_id": "<string>",
"status": "<string>",
"ai_response": "<string>"
}
'import requests
url = "https://app.replyify.ai/api/replies/{id}"
payload = {
"category_id": "<string>",
"status": "<string>",
"ai_response": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({category_id: '<string>', status: '<string>', ai_response: '<string>'})
};
fetch('https://app.replyify.ai/api/replies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {}
}Replies
Update Reply
Update a reply’s status, category, or draft response
PATCH
/
api
/
replies
/
{id}
Update Reply
Update properties of an existing reply, such as changing its category or modifying the draft response.
The provided category ID doesn’t exist in your workspace.
The specified reply ID doesn’t exist in your workspace.
Path Parameters
string
required
The unique identifier (UUID) of the reply
Request Body
string
Update the reply’s category by providing a category UUID
string
Update the reply status. Options:
pending, ready, archivedTo set status to
sent, use the Send Reply endpoint instead.string
Update or set the draft response content
Response
Examples
Change Category
curl -X PATCH "https://app.replyify.ai/api/replies/abc123-def456-ghi789" \
-H "Authorization: Bearer rpl_your_api_key" \
-H "Content-Type: application/json" \
-d '{"category_id": "cat-interested-456"}'
const replyId = 'abc123-def456-ghi789';
const response = await fetch(
`https://app.replyify.ai/api/replies/${replyId}`,
{
method: 'PATCH',
headers: {
'Authorization': 'Bearer rpl_your_api_key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
category_id: 'cat-interested-456'
})
}
);
const data = await response.json();
import requests
reply_id = 'abc123-def456-ghi789'
response = requests.patch(
f'https://app.replyify.ai/api/replies/{reply_id}',
headers={'Authorization': 'Bearer rpl_your_api_key'},
json={'category_id': 'cat-interested-456'}
)
data = response.json()
Archive a Reply
curl -X PATCH "https://app.replyify.ai/api/replies/abc123-def456-ghi789" \
-H "Authorization: Bearer rpl_your_api_key" \
-H "Content-Type: application/json" \
-d '{"status": "archived"}'
const response = await fetch(
`https://app.replyify.ai/api/replies/${replyId}`,
{
method: 'PATCH',
headers: {
'Authorization': 'Bearer rpl_your_api_key',
'Content-Type': 'application/json'
},
body: JSON.stringify({ status: 'archived' })
}
);
Update Draft Response
curl -X PATCH "https://app.replyify.ai/api/replies/abc123-def456-ghi789" \
-H "Authorization: Bearer rpl_your_api_key" \
-H "Content-Type: application/json" \
-d '{"ai_response": "Hi John,\n\nCustomized response here...\n\nBest regards"}'
const response = await fetch(
`https://app.replyify.ai/api/replies/${replyId}`,
{
method: 'PATCH',
headers: {
'Authorization': 'Bearer rpl_your_api_key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
ai_response: 'Hi John,\n\nCustomized response here...\n\nBest regards'
})
}
);
Response Example
{
"data": {
"id": "abc123-def456-ghi789",
"from_email": "john@example.com",
"from_name": "John Smith",
"status": "archived",
"category_id": "cat-interested-456",
"ai_response": "Hi John,\n\nCustomized response here...\n\nBest regards",
"updated_at": "2024-01-15T16:00:00Z"
}
}
Errors
{
"error": "Invalid category_id"
}
{
"error": "Reply not found"
}
⌘I